Skip to main content
GET
List Traffic Events

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

app_id
string
required

The appId field.

Query Parameters

page_size
integer<int32>

The pageSize field.

page_token
string

The pageToken field.

since
string<int64>

Unix seconds (0 = unset). Defaults to 24h before until, bounded to 30 days back and must not be in the future -- enforced by the handler, not this field's validation, since apigw only query-binds primitives, not google.protobuf.Timestamp.

until
string<int64>

Unix seconds (0 = unset). Defaults to now when unset. Must not be in the future -- enforced by the handler; see since.

Response

200 - application/json

Successful response

The TBControlPlaneServiceListTrafficEventsResponse message.

events
Tb Traffic Event · object[] | null

The events field.

nextPageToken
string

The nextPageToken field.